<?php
/**
 * The template used for displaying page content
 *
 * @package WordPress
 * @subpackage Twenty_Fifteen
 * @since Twenty Fifteen 1.0
 */
?>

<?php if ( is_archive() ) : ?>
    <div class="container">
<?php endif; ?>

	<article id="post-<?php the_ID(); ?>" <?php post_class('content-page-php'); ?>>
		<?php
		if (!is_page_template('page-side_right.php' ) && !is_page_template('page-side_left.php' ) && !is_page_template('page-board.php' ) && !is_archive() ) :
			// Post thumbnail.
			twentyfifteen_post_thumbnail();
		endif;
		?>

		<?php if (!is_page_template('page-side_right.php' ) && !is_page_template('page-side_left.php' ) && !is_page_template('page-board.php' ) ) : ?>
		<header class="entry-header">
			<?php the_title( '<h1 class="entry-title">', '</h1>' ); ?>
		</header><!-- .entry-header -->
		<?php endif; ?>
		
		<div class="entry-content">
			<?php the_content(); ?>
			<?php
				wp_link_pages( array(
					'before'      => '<div class="page-links"><span class="page-links-title">' . __( 'Pages:', 'twentyfifteen' ) . '</span>',
					'after'       => '</div>',
					'link_before' => '<span>',
					'link_after'  => '</span>',
					'pagelink'    => '<span class="screen-reader-text">' . __( 'Page', 'twentyfifteen' ) . ' </span>%',
					'separator'   => '<span class="screen-reader-text">, </span>',
				) );
			?>
		</div><!-- .entry-content -->

		<?php edit_post_link( __( 'Edit', 'twentyfifteen' ), '<footer class="entry-footer"><span class="edit-link">', '</span></footer><!-- .entry-footer -->' ); ?>

	</article><!-- #post-## -->
<?php if ( is_archive() ) : ?>
    </div>
<?php endif; ?>
