<?php
/**
 * The template for displaying the header
 *
 * Displays all of the head element and everything up until the "site-content" div.
 *
 * @package WordPress
 * @subpackage Twenty_Fifteen
 * @since Twenty Fifteen 1.0
 */
?><!DOCTYPE html>
<html <?php language_attributes(); ?> class="no-js">
<head>
	<meta http-equiv="X-UA-Compatible" content="IE=edge">
	<meta charset="<?php bloginfo( 'charset' ); ?>">
	<meta name="viewport" content="width=device-width">
	<link rel="profile" href="http://gmpg.org/xfn/11">
	<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">
<!-- 	<link rel="stylesheet" id="box-style" type="text/css" href="<?php echo esc_url( get_stylesheet_directory_uri() ); ?>/style3.css"> -->

	<!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
	<!--[if lt IE 9]>
	  <script src="https://oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
	  <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
	<![endif]-->
	<script>(function(){document.documentElement.className='js'})();</script>
	<script src="http://maps.googleapis.com/maps/api/js?sensor=false" type="text/javascript"></script>
	<?php wp_head(); ?>
</head>
<?php get_template_part('code-block/theme', 'option'); ?>
<body id="wide" data-spy="scroll" data-offset="200" <?php body_class(); ?>>

<div id="page" class="hfeed site">
	<a class="skip-link screen-reader-text" href="#content"><?php _e( 'Skip to content', 'twentyfifteen' ); ?></a>
<div id="main-menu" class="container-fluid p-all-0">
	<nav id="nav" class="navbar navbar-default navbar-fixed-top  menubar-float bdr-0">
	  <div class="container-fluid">
	    <!-- Brand and toggle get grouped for better mobile display -->
	    <div class="navbar-header">
	      <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar-collapse-2">
	        <span class="sr-only">내비게이션 토글</span>
	        <span class="icon-bar"></span>
	        <span class="icon-bar"></span>
	        <span class="icon-bar"></span>
	      </button>
	      <a class="logo p-lft-20" href="<?php echo home_url(); ?>">
	      	<div class="site-title sr-only">
	      		<?php bloginfo('name'); ?>
	      	</div>
	      	<img src="<?php echo of_get_option( 'logo_image', 'no entry' ); ?>">
	      </a><!-- .logo -->
	    </div>

	    <!-- Collect the nav links, forms, and other content for toggling -->
	    <div class="menu1">
		    <?php
		        wp_nav_menu( array(
		            'menu'              => 'secondary',
		            'theme_location'    => 'secondary',
		            'depth'             => 1,
		            'container'         => 'div',
		            'container_class'   => 'collapse navbar-collapse ',
		    'container_id'      => 'navbar-collapse-2',
		            'menu_class'        => 'nav navbar-nav navbar-right',
		            'fallback_cb'       => 'wp_bootstrap_navwalker::fallback',
		            'walker'            => new wp_bootstrap_navwalker())
		        );
		    ?>
	    </div><!-- /.container -->
	  </div><!-- /.container-fluid -->
	</nav>
</div><!-- /.container-fluid -->
<div id="loader-wrapper">
	<div id="loader"></div>
	<div class="loader-section section-left"></div>
  <div class="loader-section section-right"></div>
</div>
<div class="site-wrapper container-fluid">
	<div class="row">
