<?php
/**
 * The default template for displaying content
 *
 * Used for both single and index/archive/search.
 *
 * @package WordPress
 * @subpackage Twenty_Fifteen
 * @since Twenty Fifteen 1.0
 */
?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
<?php $attachments = new Attachments( '함수이름' ); ?>
<?php if( $attachments->exist() ) : ?>
  <h3>Attachments</h3>
  <p>Total Attachments: <?php echo $attachments->total(); ?></p>
  <ul>
    <?php while( $attachments->get() ) : ?>
      <li>
        ID: <?php echo $attachments->id(); ?><br />
        Type: <?php echo $attachments->type(); ?><br />
        Subtype: <?php echo $attachments->subtype(); ?><br />
        URL: <?php echo $attachments->url(); ?><br />
        Image: <?php echo $attachments->image( 'thumbnail' ); ?><br />
        Source: <?php echo $attachments->src( 'full' ); ?><br />
        Size: <?php echo $attachments->filesize(); ?><br />
        Title Field: <?php echo $attachments->field( 'title' ); ?><br />
        Caption Field: <?php echo $attachments->field( 'caption' ); ?>
      </li>
    <?php endwhile; ?>
  </ul>
<?php endif; ?>

	<div class="entry-content">

		<div class="row">
			<div class="col-md-6 movie-thumb">
				<?php $attachments = new Attachments( 'gallery_attachments' ); ?>
				<?php if( $attachments->exist() ) : ?>
				  <?php $my_index = 0; ?>
				  <?php if( $attachment = $attachments->get_single( $my_index ) ) : ?>
				    <ul>
				      <li>
				        <?php echo $attachments->image( 'full', $my_index ); ?><br />
				      </li>
				    </ul>
				  <?php endif; ?>
				<?php endif; ?>
			</div>
			<div class="col-md-6">
				<div class="row">
					<div class="col-md-4">
						<?php if ( get_field('movie_avatar') ) : ?>
							<?php $image = get_field('movie_avatar'); 
							//print_r($image);
							$size = 'thumbnail';
							$thumb = $image['sizes'][ $size ]; ?>
							<img class="img-circle" src="<?php echo $thumb; ?>">
						<?php else: ?>	
							<img class="img-circle" src="<?php echo get_stylesheet_directory_uri() . '/images/avatar.jpg'; ?>" alt="">
							<!-- <i class="fa fa-user movie-avatar img-circle"></i> -->
						<?php endif; ?>
					</div>
					<div class="col-md-8">
						<?php if ( get_field('movie_author') ) : ?>
						<p><i class="fa fa-user"></i> 글쓴이:	<?php the_field('movie_author'); ?></p>
						<?php endif; ?>	
	    				<p><i class="fa fa-heartbeat"></i> 개봉:
		    				<span>
		    					<?php if ( get_field('movie_year') ) { 
		    						$date = get_field('movie_year');
		    						$dateTime = DateTime::createFromFormat('Ymd', $date);
		    						$year = $dateTime->format('Y');
		    						$month = $dateTime->format('m');
		    						echo $year.'/'.$month;	 } 
		    					?>
		    				</span>
	    				</p>	
						<?php if ( get_field('movie_rating') ) : ?>
						<p><i class="fa fa-heartbeat"></i> <span>평가:</span> <span class="star-rating"><?php the_field('movie_rating'); ?></p>
						<?php endif; ?>	
						<?php if ( get_field('movie_opinion') ) : ?>
						<p><i class="fa fa-certificate"></i> 의견:	<?php the_field('movie_opinion'); ?></p>
						<?php endif; ?>	
					</div><!--.col-md-6-->	
				</div>
				<div class="row">
					<div class="col-md-12">
						<?php if ( get_field('movie_description') ) : ?>
						<p><i class="fa fa-users"></i> 설명:	<?php the_field('movie_description'); ?></p>
						<?php endif; ?>	
					</div>
				</div>	
			</div>	
		</div>

		
		<?php
			the_content( sprintf(
				__( 'Continue reading %s', 'twentyfifteen' ),
				the_title( '<span class="screen-reader-text">', '</span>', false )
			) );

			wp_link_pages( array(
				'before'      => '<div class="page-links"><span class="page-links-title">' . __( 'Pages:', 'twentyfifteen' ) . '</span>',
				'after'       => '</div>',
				'link_before' => '<span>',
				'link_after'  => '</span>',
				'pagelink'    => '<span class="screen-reader-text">' . __( 'Page', 'twentyfifteen' ) . ' </span>%',
				'separator'   => '<span class="screen-reader-text">, </span>',
			) );
		?>
	</div><!-- .entry-content -->
		<?php $attachments = new Attachments( 'gallery_attachments' ); ?>
		<?php if( $attachments->exist() ) : ?>		 
	      <div class="isotope-single">
	        <ul class="row isotope da-thumbs">
	        <?php while( $attachments->get() ) : ?>
	          <li class="thumbs col-md-3 p-all-0">
	          	<a rel="lightbox" href="<?php echo $attachments->src( 'full' ); ?>">
		    	    	<?php echo $attachments->image( 'portfolio' ); ?>
		    	    	<div>
		    	    	  <span><?php echo $attachments->field( 'gallery_title' ); ?></span>
		    	    	  <span><?php echo $attachments->field( 'gallery_caption' ); ?></span>
		    	    	</div>
		    	    </a>
		    		</li>
		    	<?php endwhile; ?>	
	        </ul>
	      </div>
		<?php endif; ?>
	<?php
		// Author bio.
		// if ( is_single() && get_the_author_meta( 'description' ) ) :
		// 	get_template_part( 'author-bio' );
		// endif;
	?>

	<footer class="entry-footer">
		<?php twentyfifteen_entry_meta(); ?>
		<?php edit_post_link( __( 'Edit', 'twentyfifteen' ), '<span class="edit-link">', '</span>' ); ?>
	</footer><!-- .entry-footer -->

</article><!-- #post-## -->
