<?php
/**
 * Template name: 회사소개
 *
 * This is the template that displays all pages by default.
 * Please note that this is the WordPress construct of pages and that
 * other "pages" on your WordPress site will use a different template.
 *
 * @package WordPress
 * @subpackage Twenty_Fifteen
 * @since Twenty Fifteen 1.0
 */

get_header(); ?>

<div class="container-fluid p-all-0">
	<?php echo do_shortcode('[header_bar]'); ?>	
</div><!-- .container-fluid -->

<div class="container">
	<div class="row">
		<div id="content" class="col-md-12 page-php">
			<div id="primary" class="content-area">
				<main id="main" class="site-main" role="main">

				<?php
				// Start the loop.
				while ( have_posts() ) : the_post(); ?>

				<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
					
					<div class="entry-content">
					  <div id="about" class="row da-thumbs">
					  <?php 
					  	 $paged = (get_query_var('paged')) ? get_query_var('paged') : 1;	
					     $args = array( 
					     	'post_type' => 'about', 
					     	'posts_per_page' => 10,
					     	'paged'=>$paged
					     );
					     $about = new WP_Query( $args );
					    if ( $about->have_posts() ) : 
					    while ( $about->have_posts() ) : $about->the_post(); ?>
							
					    <div class="thumbs col-md-4 waypoint">
					    	<a href="<?php echo get_permalink(); ?>">
					        <?php the_post_thumbnail('portfolio_fixed'); ?>
					        <div>
					        	<span><?php the_title(); ?></span>
					        	<span><?php
										  $excerpt = get_the_excerpt();
										  echo string_limit_words($excerpt,20);
										?></span>
					        </div>
					      </a>
					    </div> 		

					  	<?php endwhile; ?>
					  </div><!-- #about -->  
					</div><!-- .entry-content -->

					<div class="row m-top-30 m-btm-20">
						<div class="col-md-5 p-all-20 p-top-0">
							<p><?php echo do_shortcode( '[contentblock id=company-messeage]' ) ?></p>
						</div>
						<div class="col-md-7">
							<div id="progress-bar" class="p-lft-20 p-rgt-20">
								<span>웹개발:</span>
								<div class="progress">
								  <div class="progress-bar progress-bar-success" role="progressbar" aria-valuenow="80" aria-valuemin="0" aria-valuemax="100">
								    <span class="sr-only">80%</span>
								  </div>
								</div>
								<span>웹디자인:</span>
								<div class="progress">
								  <div class="progress-bar progress-bar-info" role="progressbar" aria-valuenow="90" aria-valuemin="0" aria-valuemax="100">
								    <span class="sr-only">90%</span>
								  </div>
								</div>
								<span>포트폴리오:</span>
								<div class="progress">
								  <div class="progress-bar progress-bar-warning" role="progressbar" aria-valuenow="60" aria-valuemin="0" aria-valuemax="100">
								    <span class="sr-only">60%</span>
								  </div>
								</div>
								<span>포토샵:</span>
								<div class="progress">
								  <div class="progress-bar progress-bar-danger" role="progressbar" aria-valuenow="95" aria-valuemin="0" aria-valuemax="100">
								    <span class="sr-only">95%</span>
								  </div>
								</div>
							</div>
						</div>
					</div><!-- .row -->

						<?php wp_reset_postdata(); ?>

					<?php else : ?>
						<p><?php _e( 'Sorry, no posts matched your criteria.' ); ?></p>
					<?php endif; ?>

					<nav>
					  <ul id="about-pager" class="pager">
					    <li class="previous"><?php previous_posts_link( '&laquo; 이전', $about->max_num_pages) ?></li> 
					    <li class="next"><?php next_posts_link( '다음 &raquo;', $about->max_num_pages) ?></li>
					  </ul>
					</nav>

					<?php edit_post_link( __( 'Edit', 'twentyfifteen' ), '<footer class="entry-footer"><span class="edit-link">', '</span></footer><!-- .entry-footer -->' ); ?>

				</article><!-- #post-## -->

				<?php	// If comments are open or we have at least one comment, load up the comment template.
					if ( comments_open() || get_comments_number() ) :
						comments_template();
					endif;

				// End the loop.
				endwhile;
				?>

				</main><!-- .site-main -->
			</div><!-- .content-area -->
		</div><!-- #content -->
	</div><!-- .row -->
</div><!-- .container -->

<?php get_footer(); ?>
