<?php
/**
 * Template name: 그리드 블로그
 *
 * @package WordPress
 * @subpackage Twenty_Fifteen
 * @since Twenty Fifteen 1.0
 */

get_header(); ?>

<div class="container-fluid p-all-0">
	<?php echo do_shortcode('[header_bar]'); ?>	
</div><!-- .container-fluid -->

<div class="container">
	<div class="row">
		<div id="content" class="col-md-12 page-php">
			<div id="primary" class="content-area">
				<main id="main" class="site-main" role="main">

				<?php
				// Start the loop.
				while ( have_posts() ) : the_post(); ?>

					<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
						
						<div class="entry-content">
							<ul id="gridblog-filter" class="list-inline m-btm-20 text-center">
						    <?php
						        $terms = get_terms("gridblog_category");
						        $count = count($terms);
						            echo '<li><a href="javascript:void(0)" title="" data-filter=".all" class="active btn btn-default">전체</a></li>';
						        if ( $count > 0 ){

						            foreach ( $terms as $term ) {

						                $termname = strtolower($term->name);
						                $termname = str_replace(' ', '-', $termname);
						                echo '<li><a href="javascript:void(0)" title="" data-filter=".'.$termname.'" class="btn btn-default">'.$term->name.'</a></li>';
						            }
						        }
						    ?>
						  </ul>	
						  <div id="gridblog" class="infinite no-touch">
						  <?php 
						  	 $paged = (get_query_var('paged')) ? get_query_var('paged') : 1;	
						     $args = array( 
						     	'post_type' => 'gridblog', 
						     	'posts_per_page' => 10,
						     	'paged'=>$paged
						     );
						     $gridblog = new WP_Query( $args );
						    if ( $gridblog->have_posts() ) : 
						    while ( $gridblog->have_posts() ) : $gridblog->the_post(); 

						     $terms = get_the_terms( $post->ID, 'gridblog_category' );						
						          if ( $terms && ! is_wp_error( $terms ) ) : 

						              $links = array();

						              foreach ( $terms as $term ) {
						                  $links[] = $term->name;
						              }

						              $tax_links = join( " ", str_replace(' ', '-', $links));          
						              $tax = strtolower($tax_links);
						          else :	
						        $tax = '';					
						          endif; ?>

						    <div class="all thumbs <?php echo of_get_option('seven_effects', 'no entry' ); ?> col-md-3 <?php echo $tax; ?>">
							    <div>
							    	<figure>
							        <?php the_post_thumbnail('portfolio'); ?>
							        <figcaption>
							          <span><?php the_title(); ?></span>
							          <a href="#myModal-<? the_ID(); ?>" data-toggle="modal">더 보기</a>
							        </figcaption>  
							      </figure>  
							    </div>  
						    </div> 

								<!-- Modal -->
								<div class="modal fade" id="myModal-<? the_ID(); ?>" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
								  <div class="modal-dialog modal-lg">
								    <div class="modal-content">
								      <div class="modal-header">
								        <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
								        <h4 class="modal-title" id="myModalLabel"><?php the_title();?></h4>
								      </div>
								      <div class="modal-body">
								        <?php the_post_thumbnail(); ?>
								        <?php the_content();?>
								        <?php
								        	// Author bio.
								        	if ( is_page_template( 'page-gridblog.php' ) && get_the_author_meta( 'description' ) ) :
								        		get_template_part( 'author-bio' );
								        	endif;
								        ?>
								          <?php
								          // If comments are open or we have at least one comment, load up the comment template.
								          $withcomments = '1';
								          if ( comments_open() || get_comments_number() ) :
								            comments_template();
								          endif;
								          ?>		
								      </div>
								      <div class="modal-footer">
								        <button type="button" class="btn btn-default" data-dismiss="modal">닫기</button>
								      </div>
								    </div>
								  </div>
								</div>

						    <?php endwhile; ?>



								<?php
									wp_link_pages( array(
										'before'      => '<div class="page-links"><span class="page-links-title">' . __( 'Pages:', 'twentyfifteen' ) . '</span>',
										'after'       => '</div>',
										'link_before' => '<span>',
										'link_after'  => '</span>',
										'pagelink'    => '<span class="screen-reader-text">' . __( 'Page', 'twentyfifteen' ) . ' </span>%',
										'separator'   => '<span class="screen-reader-text">, </span>',
									) );
								?>

						  </div><!-- #gridblog -->
						 </div><!-- .entry-content -->

						 
					    	<?php wp_reset_postdata(); ?>

					    <?php else : ?>
					    	<p><?php _e( 'Sorry, no posts matched your criteria.' ); ?></p>
					    <?php endif; ?>

					  <nav>
					    <ul id="gridblog-pager" class="pager">
					      <li class="previous"><?php previous_posts_link( '&laquo; 이전', $gridblog->max_num_pages) ?></li> 
					      <li class="next"><?php next_posts_link( '다음 &raquo;', $gridblog->max_num_pages) ?></li>
					    </ul>
					  </nav>

						<?php edit_post_link( __( 'Edit', 'twentyfifteen' ), '<footer class="entry-footer"><span class="edit-link">', '</span></footer><!-- .entry-footer -->' ); ?>

					</article><!-- #post-## -->

				<?php	// If comments are open or we have at least one comment, load up the comment template.
					if ( comments_open() || get_comments_number() ) :
						comments_template();
					endif;

				// End the loop.
				endwhile;
				?>

				</main><!-- .site-main -->
			</div><!-- .content-area -->
		</div><!-- #content -->
	</div><!-- .row -->
</div><!-- .container -->

<?php get_footer(); ?>
