<?php
/**
 * The default template for displaying content
 *
 * Used for both single and index/archive/search.
 *
 * @package WordPress
 * @subpackage Twenty_Fifteen
 * @since Twenty Fifteen 1.0
 */
?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>


	<div class="entry-content">

		<div class="row">
			<div class="col-md-2">
				<?php if ( get_field('portfolio_avatar') ) : ?>
					<?php $image = get_field('portfolio_avatar'); 
					//print_r($image);
					$size = 'thumbnail';
					$thumb = $image['sizes'][ $size ]; ?>
					<img class="img-circle" src="<?php echo $thumb; ?>">
				<?php else: ?>	
					<img class="img-circle" src="<?php echo get_stylesheet_directory_uri() . '/images/avatar.jpg'; ?>" alt="">
					<!-- <i class="fa fa-user portfolio-avatar img-circle"></i> -->
				<?php endif; ?>		
			</div>
			<div class="col-md-2">
				<?php if ( get_field('portfolio_team') ) : ?>
				<p><i class="fa fa-users"></i> 팀 이름:	<?php the_field('portfolio_team'); ?></p>
				<?php endif; ?>	
				<?php if ( get_field('portfolio_client') ) : ?>
				<p><i class="fa fa-heartbeat"></i> 의뢰인:	<?php the_field('portfolio_client'); ?></p>
				<?php endif; ?>	
				<?php if ( get_field('portfolio_others1') ) : ?>
				<p><i class="fa fa-certificate"></i> 기타 1:	<?php the_field('portfolio_others1'); ?></p>
				<?php endif; ?>	
				<?php if ( get_field('portfolio_others2') ) : ?>
				<p><i class="fa fa-cog"></i> 기타 2:	<?php the_field('portfolio_others2'); ?></p>
				<?php endif; ?>	
			</div>
			<div class="col-md-8">
				<?php if ( get_field('portfolio_description') ) : ?>
				<p><?php the_field('portfolio_description'); ?></p>
				<?php endif; ?>	
			</div>
		</div>

		
		<?php
			the_content( sprintf(
				__( 'Continue reading %s', 'twentyfifteen' ),
				the_title( '<span class="screen-reader-text">', '</span>', false )
			) );

			wp_link_pages( array(
				'before'      => '<div class="page-links"><span class="page-links-title">' . __( 'Pages:', 'twentyfifteen' ) . '</span>',
				'after'       => '</div>',
				'link_before' => '<span>',
				'link_after'  => '</span>',
				'pagelink'    => '<span class="screen-reader-text">' . __( 'Page', 'twentyfifteen' ) . ' </span>%',
				'separator'   => '<span class="screen-reader-text">, </span>',
			) );
		?>
	</div><!-- .entry-content -->
		<?php $attachments = new Attachments( 'gallery_attachments' ); ?>
		<?php if( $attachments->exist() ) : ?>		 
	      <div class="isotope-single">
	        <ul class="row isotope da-thumbs">
	        <?php while( $attachments->get() ) : ?>
	          <li class="thumbs col-md-3 p-all-0">
	          	<a rel="lightbox" href="<?php echo $attachments->src( 'full' ); ?>">
		    	    	<?php echo $attachments->image( 'portfolio' ); ?>
		    	    	<div>
		    	    	  <span><?php echo $attachments->field( 'gallery_title' ); ?></span>
		    	    	  <span><?php echo $attachments->field( 'gallery_caption' ); ?></span>
		    	    	</div>
		    	    </a>
		    		</li>
		    	<?php endwhile; ?>	
	        </ul>
	      </div>
		<?php endif; ?>
	<?php
		// Author bio.
		// if ( is_single() && get_the_author_meta( 'description' ) ) :
		// 	get_template_part( 'author-bio' );
		// endif;
	?>

	<footer class="entry-footer">
		<?php twentyfifteen_entry_meta(); ?>
		<?php edit_post_link( __( 'Edit', 'twentyfifteen' ), '<span class="edit-link">', '</span>' ); ?>
	</footer><!-- .entry-footer -->

</article><!-- #post-## -->
