<?php
/**
 * The template for displaying all single posts and attachments
 *
 * @package WordPress
 * @subpackage Twenty_Fifteen
 * @since Twenty Fifteen 1.0
 */

get_header(); ?>

<div class="container-fluid p-all-0">
	<?php echo do_shortcode('[header_bar]'); ?>	
</div><!-- .container-fluid -->
<div class="container">
	<div class="row">
		<div id="content" class="col-md-12">
			<div id="primary" class="content-area">
				<main id="main" class="site-main" role="main">

				<?php
				// Start the loop.
				while ( have_posts() ) : the_post();

				// global $postid;
				// $postid = get_the_ID();

					/*
					 * Include the post format-specific template for the content. If you want to
					 * use this in a child theme, then include a file called called content-___.php
					 * (where ___ is the post format) and that will be used instead.
					 */
					get_template_part( 'portfolio/content', 'portfolio' );


					// Previous/next post navigation.
					the_post_navigation( array(
						'next_text' => '<span class="meta-nav" aria-hidden="true">' . __( 'Next', 'twentyfifteen' ) . '</span> ' .
							'<span class="screen-reader-text">' . __( 'Next post:', 'twentyfifteen' ) . '</span> ' .
							'<span class="post-title">%title</span>',
						'prev_text' => '<span class="meta-nav" aria-hidden="true">' . __( 'Previous', 'twentyfifteen' ) . '</span> ' .
							'<span class="screen-reader-text">' . __( 'Previous post:', 'twentyfifteen' ) . '</span> ' .
							'<span class="post-title">%title</span>',
					) );

				// End the loop.
				endwhile;
				?>
					<div class="row">
						<div class="col-md-8">
							<?php // If comments are open or we have at least one comment, load up the comment template.
							if ( comments_open() || get_comments_number() ) :
								comments_template();
							endif; ?>
						</div>
						<div id="sidebar2" class="col-md-4">
							<div id="secondary" class="secondary">
								<?php if ( is_active_sidebar( 'sidebar-3' ) ) : ?>
									<div id="widget-area" class="widget-area" role="complementary">
										<?php dynamic_sidebar( 'sidebar-3' ); ?>
									</div><!-- .widget-area -->
								<?php endif; ?>
							</div>
						</div><!--#sidebar-->
					</div>
				</main><!-- .site-main -->
			</div><!-- .content-area -->
		</div><!-- #content -->

	</div><!-- .row -->
</div><!-- .container -->

<?php get_footer(); ?>
